import request from '@/utils/request'

// 查询设备管理列表
export function listBasic(query) {
  return request({
    url: '/pile/basic/list',
    method: 'get',
    params: query
  })
}

// 查询设备管理详细
export function getBasic(id) {
  return request({
    url: '/pile/basic/' + id,
    method: 'get'
  })
}

// 新增设备管理
export function addBasic(data) {
  return request({
    url: '/pile/basic',
    method: 'post',
    data: data
  })
}

export function batchAddBasic(data) {
  console.log("批量新增接口", data);
  return request({
    url: '/pile/basic/batchAdd',
    method: 'post',
    data: data
  })
}

// 修改设备管理
export function updateBasic(data) {
  return request({
    url: '/pile/basic',
    method: 'put',
    data: data
  })
}

// 删除设备管理
export function delBasic(id) {
  return request({
    url: '/pile/basic/' + id,
    method: 'delete'
  })
}

// 查询设备管理详细
export function getPileDetailById(data) {
  return request({
    url: '/pile/basic/getPileDetailById',
    method: 'post',
    data: data
  })
}

// 通过充电站id查询所有充电桩列表
export function queryPileListByStationId(stationId) {
  return request({
    url: '/pile/basic/queryPileListByStationId/' + stationId,
    method: 'get'
  })
}

// 批量更新充电桩
export function batchUpdatePileList(data) {
  return request({
    url: '/pile/basic/batchUpdatePileList',
    method: 'post',
    data: data
  })
}

// 查询充电桩通讯日志
export function getPileFeedList(data) {
  return request({
    url: '/pile/basic/getPileFeedList',
    method: 'post',
    data: data
  })
}
